[tool.poetry]
name = "backend"
version = "0.1.0"
description = "project for manage item with exp date"
authors = ["Sam Liu <luu.dat.tham@gmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.10"
fastapi = "^0.110.2"
python-dotenv = "^1.0.1"
sqlalchemy = "^2.0.29"
cryptography = "^42.0.5"
passlib = "^1.7.4"
uvicorn = {version = "^0.29.0", extras = ["standard"]}
pydantic = "^2.7.1"
pydantic-settings = "^2.2.1"
text-unidecode = "^1.3"
pyhumps = "^3.8.0"
bcrypt = "^4.1.3"
alembic = "^1.13.1"
python-multipart = "^0.0.9"
pyjwt = "^2.8.0"

[tool.poetry.group.dev.dependencies]
ruff = "^0.4.1"
rich = "^13.7.1"
pylint = "^3.1.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
